<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myProductSalesOrderLabel" jhiTranslate="mpmApp.productSalesOrder.home.createOrEditLabel">Create or edit a Product Sales Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!productSalesOrder.idOrder">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productSalesOrder.idOrder" readonly />
                </div>

                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productSalesOrder.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="productSalesOrder.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idCustomer === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productSalesOrder.customer" for="field_customer">Customer</label>
                    <select class="form-control" id="field_customer" name="customer" [(ngModel)]="productSalesOrder.customerId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productSalesOrder.billTo" for="field_billTo">Bill To</label>
                    <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="productSalesOrder.billToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idSaleType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productSalesOrder.saleType" for="field_saleType">Sale Type</label>
                    <select class="form-control" id="field_saleType" name="saleType" [(ngModel)]="productSalesOrder.saleTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="saleTypeOption.idSaleType" *ngFor="let saleTypeOption of saletypes; trackBy: trackSaleTypeById">{{saleTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
